Package org.gradle.tooling.events.work

## Interface WorkItemOperationDescriptor

- All Superinterfaces:
    `OperationDescriptor`

      public interface WorkItemOperationDescriptor
      extends OperationDescriptor

  Describes a work item operation for which an event has occurred.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassName()` | Returns the fully-qualified class name of work item's action.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getClassName

          java.lang.String getClassName()

      Returns the fully-qualified class name of work item's action.